Subject: Re: co-enzyme Q 10

From: [email-masked] (AzureOtter)
Date: 21 Jul 1995 14:13:17 -0400

I take coQ10 to treat CFIDS (Chronic Fatigue Immune Dysfunction Syndrome) 
I find it quite helpfl in improving energy as well as helping with
cognitive dysfunction.  I have found it available, in capsule form, at
many healthfood stores, for not that much money..... at least not compared
to some of the stuff I've looked at.
Take care,
Joanna